﻿using System;
using System.CodeDom;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WolvesPack
{
    class WolvPack
    {
        public string Name { get; set; }
        public List<Wolv> Wolvses { get; set; }

        public WolvPack()
        {
            Name = "Not defined yet";
            Wolvses = new List<Wolv>();
        }

        public WolvPack(string name)
        {
            Name = name;
            Wolvses = new List<Wolv>();
        }

        public void AddWolvsToPack(Wolv wolvs)
        {
            Wolvses.Add(wolvs);
        }

        public override string ToString()
        {
            String wolvs = "";
            foreach (Wolv wolve in Wolvses)
            {
                wolvs += wolve.Name + " ";
            }
            return $"Name: {Name}  Wolves: {wolvs}";
        }
    }
}
