﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WolvesPack
{
    class WolvRegister
    {
        public List<Wolv> WolvsList { get; set; }
        public List<WolvPack>  WolvsPackList { get; set; }

        public WolvRegister()
        {
            WolvsList = new List<Wolv>();
            WolvsPackList = new List<WolvPack>();
        }

        public void AddWolvsToList(Wolv wolvs)
        {
            WolvsList.Add(wolvs);
        }

        public void AddWolvsPackToList(WolvPack wolvsPack)
        {
            WolvsPackList.Add(wolvsPack);
        }

        public override string ToString()
        {
            String wolvsList = "";
            foreach (Wolv wolvse in WolvsList)
            {
                wolvsList += wolvse + " ";
            }

            wolvsList += "\n";

            string wolvsPackList = "";
            foreach (WolvPack wolvsPack in WolvsPackList)
            {
                wolvsPackList += wolvsPack;
            }

            wolvsPackList += "\n";

            return $"WolvsRegister: \nWolvsList: {wolvsList}, WolvsPackList: {wolvsPackList}";
        }
    }
}
